"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TsxViewsMiddleware = void 0;
const common_1 = require("@nestjs/common");
const express_tsx_views_1 = require("express-tsx-views");
const tsx_views_constants_1 = require("./tsx-views.constants");
let TsxViewsMiddleware = class TsxViewsMiddleware {
    constructor(options) {
        this.options = options;
    }
    use(req, _res, next) {
        (0, express_tsx_views_1.setupReactViews)(req.app, this.options);
        next();
    }
};
TsxViewsMiddleware = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)(tsx_views_constants_1.TSX_VIEWS_OPTIONS)),
    __metadata("design:paramtypes", [Object])
], TsxViewsMiddleware);
exports.TsxViewsMiddleware = TsxViewsMiddleware;
//# sourceMappingURL=tsx-views.middleware.js.map